Subject: [alpine-aports] [PATCH] testing/py2-backports_functools_lru_cache: New aport

From: Marian Buschsieweke <[email-masked]>
Date: Mon, 21 May 2018 11:57:07 +0200

Backport of functools.lru_cache from Python 3.3 as published at ActiveState
https://pypi.org/project/backports.functools_lru_cache/
---
 .../APKBUILD                                  | 29 +++++++++++++++++++
 1 file changed, 29 insertions(+)
 create mode 100644 testing/py2-backports_functools_lru_cache/APKBUILD

diff --git a/testing/py2-backports_functools_lru_cache/APKBUILD b/testing/py2-backports_functools_lru_cache/APKBUILD
new file mode 100644
index 0000000000..5fcf669d99
--- /dev/null
+++ b/testing/py2-backports_functools_lru_cache/APKBUILD
@@ -0,0 +1,29 @@
+# Maintainer: Marian Buschsieweke <[email-masked]>
+pkgname=py2-backports_functools_lru_cache
+_pkgname=backports.functools_lru_cache
+pkgver=1.5
+pkgrel=0
+pkgdesc="Backport of functools.lru_cache from Python 3.3 as published at ActiveState"
+url="https://pypi.org/project/backports.functools_lru_cache/"
+arch="noarch"
+license="BSD"
+makedepends="python2-dev py-setuptools"
+source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+builddir="$srcdir"/$_pkgname-$pkgver
+
+build() {
+	cd "$builddir"
+	python2 setup.py build || return 1
+}
+
+package() {
+	cd "$builddir"
+	python2 setup.py install --prefix=/usr --root="$pkgdir"
+}
+
+check() {
+	cd "$builddir"
+	python2 setup.py test
+}
+
+sha512sums="083a69beb050a6de0f838231ceae05cd1825f42310b2cd4f0e53f7ca043af4c699ad7042c32831ee365bb6b374d33189136e45689c77815b99773d145f0ef4f1  backports.functools_lru_cache-1.5.tar.gz"
-- 
2.17.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---